
Price Monitoring - Bug #1637

Calculating the profit margin on Price monitoring screen search result  

08/25/2019 10:20 AM - Israa Naser

Status: Closed Start date: 08/25/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa, Tareq Abuhamra Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Price Monitoring Screens (مراقبة

(الاسعار

Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

Calculating the profit margin on Price monitoring screen search result

the profit margin column should be filled with the profit margin calculated from the csv data

according to the formula

Profit margin = (sell price - cost price) \ cost price

-------

we also need to implement an action in Price monitoring screen to choose a defined Profit margin,

and compare the defined margin with the calculated one and display if the COOP's margin is higher

Related issues:

Related to Task #1591: Price Monitoring Screens (مراقبة الاسعار) Closed 08/05/2019

History

#1 - 08/25/2019 10:20 AM - Israa Naser

- Related to Task #1591: Price Monitoring Screens (مراقبة الاسعار) added

#2 - 08/27/2019 11:00 AM - Israa Naser

- Status changed from Fixed to Open

- Assignee changed from Israa Naser to Tareq Abuhamra

Tariq would you please consider the process calculating the Profit margin automatically?

#3 - 08/28/2019 05:05 PM - Israa Naser

- Description updated

#4 - 09/04/2019 09:34 PM - Tareq Abuhamra

- Assignee changed from Tareq Abuhamra to Israa Naser

Fixed

#5 - 09/07/2019 12:02 PM - Israa Naser
- Assignee changed from Israa Naser to Tareq Abuhamra

the profit margin is calculated on inserting the item to PMON_DET_RAWDATA table and calculated successfully,,

however we still have the part of adding an action to select a defined profit margin to compare with the actual item's profit margin,

Tariq could you please check ? thanks

#6 - 09/09/2019 11:23 AM - Israa Naser

- Assignee changed from Tareq Abuhamra to Abed Abuhalawa

Reassigned to Abed as per my discussion with Tariq. thanks

#7 - 09/10/2019 03:15 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

need deploy

#8 - 09/22/2019 01:31 AM - Israa Naser

- File Image 9.png added

- Status changed from Fixed to Closed

- % Done changed from 0 to 100

- Co-Workers Abed Abuhalawa, Tareq Abuhamra added

- Co-Workers deleted (Israa Naser)

Covered in SRS

9.5.4 Task screens and fields

Tested and verified that a dialog is displayed to compare the profit margin calculated with a defined profit margin from the system

check screenshot attached

Files

Image 9.png 22.5 KB 09/21/2019 Israa Naser
